PARSEDB.PY(1)

NAME
ParseDb.py - Repertoire clonal assignment toolkit (Python 3)

DESCRIPTION
usage: ParseDb.py [--version] [-h] ...

Parses tab delimited database files

  help:

--version
    show program's version number and exit

-h, --help
    show this help message and exit

  subcommands:

    Database operation

add Adds field and value pairs.

delete
    Deletes specific records.

drop
    Deletes entire fields.

index
    Adds a numeric index field.

rename
    Renames fields.

select
    Selects specific records.

sort
    Sorts records by field values.

update
    Updates field and value pairs.

merge
    Merges files.

split
    Splits database files by field values.

  output files:

    sequences

    FASTA formatted sequences output from the subcommands fasta and clip.

    <field>-<value>

    database files partitioned by annotation <field> and <value>.

    parse-<command>

    output of the database modification functions where <command> is one of the subcommands add, index, drop, delete, rename, select, sort or update.

  required fields:

    sequence_id

AUTHOR
 This manpage was written by Nilesh Patra for the Debian distribution and
 can be used for any other usage of the program.